## visad
Class RangeControl

    java.lang.Object
      visad.Control
          visad.RangeControl

All Implemented Interfaces:
  Cloneable, Serializable

public class RangeControl
extends Control

RangeControl is the VisAD class for controlling SelectRange display scalars.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.Control
`display, displayRenderer`

Constructor Summary
`RangeControl(DisplayImpl d)`

Method Summary
`boolean` `equals(Object o)` Indicates whether or not this instance equals an Object
`double[]` `getDoubleRange()` return the range of selected values
`float[]` `getRange()` return the range of selected values
`String` `getSaveString()` get a string that can be used to reconstruct this control later
`void` `initializeRange(double[] range)` initialize the range of selected values as (range[0], range[1])
`void` `initializeRange(float[] range)` initialize the range of selected values as (range[0], range[1])
`void` `setRange(double[] range)` set the range of selected values as (range[0], range[1])
`void` `setRange(float[] range)` set the range of selected values as (range[0], range[1])
`void` `setSaveString(String save)` reconstruct this control using the specified save string
`void` `syncControl(Control rmt)` copy the state of a remote control to this control
`String` `toString()`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, clone, getDisplay, getDisplayRenderer, getIndex, getInstanceNumber, incTick, nullControl, peekTicks, removeControlListener, resetTicks, setIndex, setInstanceNumber, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeControl

    public RangeControl(DisplayImpl d)

Method Detail

### initializeRange

    public void initializeRange(float[] range)
                         throws VisADException,
                                RemoteException

  initialize the range of selected values as (range[0], range[1])

  Throws:
    `VisADException`
    `RemoteException`

### initializeRange

    public void initializeRange(double[] range)
                         throws VisADException,
                                RemoteException

  initialize the range of selected values as (range[0], range[1])

  Throws:
    `VisADException`
    `RemoteException`

### setRange

    public void setRange(float[] range)
                  throws VisADException,
                         RemoteException

  set the range of selected values as (range[0], range[1])

  Throws:
    `VisADException`
    `RemoteException`

### setRange

    public void setRange(double[] range)
                  throws VisADException,
                         RemoteException

  set the range of selected values as (range[0], range[1])

  Throws:
    `VisADException`
    `RemoteException`

### getRange

    public float[] getRange()

  return the range of selected values

### getDoubleRange

    public double[] getDoubleRange()

  return the range of selected values

### getSaveString

    public String getSaveString()

  get a string that can be used to reconstruct this control later

  Specified by:
    `getSaveString` in class `Control`
  Returns:
    String representation of this Control

### setSaveString

    public void setSaveString(String save)
                       throws VisADException,
                              RemoteException

  reconstruct this control using the specified save string

  Specified by:
    `setSaveString` in class `Control`
  Parameters:
    `save` - - String representation for reconstruction
  Throws:
    `VisADException` - if a VisAD error occurs
    `RemoteException` - if an RMI error occurs

### syncControl

    public void syncControl(Control rmt)
                     throws VisADException

  copy the state of a remote control to this control

  Specified by:
    `syncControl` in class `Control`
  Parameters:
    `rmt` - remote Control whose state is copied
  Throws:
    `VisADException` - if a VisAD error occurs

### equals

    public boolean equals(Object o)

  Description copied from class: `Control`
  Indicates whether or not this instance equals an Object

  Overrides:
    `equals` in class `Control`
  Parameters:
    `o` - an Object
  Returns:
    true if and only if this instance is equal to o

### toString

    public String toString()

  Overrides:
    `toString` in class `Control`
  Returns:
    a simple String representation of this Control